# Users service&#x20;

The Users Service API provides various endpoints for managing user-related functionalities, including user authentication, profile management, and account operations. With this API, you can create, authenticate, and update, as well as perform actions such as logging in and adding new addresses to existing account. Additionally, you can retrieve user data, check username availability, and search for users and public profiles. This API empowers you to build user-centric applications and interact with user-related data efficiently.

### Swagger docs link :&#x20;

```
https://api.metaproprotocol.com/users-service/v2/docs
```

***

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/internal/users" method="post" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/v2/auth/web3/login" method="post" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/v2/auth/web3/check/{wallet}" method="get" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/v2/auth/web3/new-address" method="post" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/v2/auth/web3/signature/hash" method="get" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/v2/auth/web3/remove/{wallet}" method="delete" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/me" method="get" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/availability/{username}" method="get" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/profile/{user}" method="get" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/profiles" method="get" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/users-search/{searchText}" method="get" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/update" method="patch" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

{% openapi src="<https://api.metaproprotocol.com/users-service/v2/docs-json>" path="/update/wallet/{wallet}" method="post" %}
<https://api.metaproprotocol.com/users-service/v2/docs-json>
{% endopenapi %}

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metaproprotocol.com/metapro-protocol/api/users-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
